Subject: Re: Using bash as shell for Emacs 19.34.6
From: [email-masked] (Larry Hall)

10 Feb 1998 19:42:19 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: Lothar Joeckel <[email-masked]>, [email-masked]

At 11:25 PM 2/8/98 +0100, Lothar Joeckel wrote:
>I'm trying to use the updated bash 2.01 (Sergeys patches) with Emacs
>19.34.6.
>Unfortunally i get only 'command not found' errors back.
>The shell-buffer looks like:
>
>$pwd
>pwd^M command not found
>
>It seems to me that there is something wrong whith the newline/carriage
>return translation.
>Using bash version 1.14.7 works whithout any problem.
>
>I found out that when using another terminal type (i.e. dumb instead of
>emacs) will work.
>But this leeds to a change in 'comint.el'. I don't wanna do this.
>
>Any alternatives?
>

NTEmacs seems to assume the shell it uses will output and accept "text"
data.  Sergey's bash assumes binary input/output (so configure scripts
work, etc).  Alternatives are to futs with NTEmacs to make it do the 
carriage return translation or edit the bash source to assume "text"
input again and recompile.  This has come up occasionally in the past
although I don't remember a resolution.  Perhaps someone else does (or 
maybe there is one on the Emacs list??).

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02181                    http://www.rfk.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".